using DinerContracts.BindingModels;
using DinerContracts.SearchModels;
using DinerContracts.ViewModels;

namespace DinerContracts.BusinessLogicsContracts
{
    public interface ISnackLogic
    {
        List<SnackViewModel>? ReadList(SnackSearchModel? model);
        SnackViewModel? ReadElement(SnackSearchModel model);
        bool Create(SnackBindingModel model);
        bool Update(SnackBindingModel model);
        bool Delete(SnackBindingModel model);
    }
}
